tasksel (3.82ubuntu1) questing; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'
    - task-lxqt-desktop: Substitute libreoffice-qt6 for libreoffice-qt5 as the
      qt5 package no longer exists in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Aug 2025 16:10:21 +0100

tasksel (3.82) unstable; urgency=medium

  * Team upload.

  * Show blendsel task only, when in a debconf session (aka in
    debian-installer). Closes: #1110130

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 06 Aug 2025 09:45:10 +0200

tasksel (3.81ubuntu1) questing; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'

 -- Rik Mills <rikmills@kde.org>  Wed, 16 Jul 2025 07:43:43 +0100

tasksel (3.81) unstable; urgency=medium

  * Team upload.

  [ Cyril Brulebois ]
  * Detect commas in package descriptions (unsupported for now, leading to
    uninstallable packages) at build time. See: #1004090, #1106127.

  [ Boyuan Yang ]
  * task-chinese-s-desktop: use goldendict-ng as successor of dead
    goldendict.

  [ Changwoo Ryu ]
  * Update Korean tasks
    - task-korean-desktop: Remove fonts-nanum and im-config.
    - task-korean-gnome-desktop: Add ibus-gtk4.

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 15 Jul 2025 06:12:19 +0200

tasksel (3.80ubuntu1) questing; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 07:44:17 +0100

tasksel (3.80) unstable; urgency=medium

  * Team upload.

  [ Michael Biebl ]
  * Drop Recommends: avahi-autoipd from task-desktop. Since NetworkManager,
    systemd-networkd and dhcpcd have IPv4LL support built-in, it doesn't seem
    reasonable to pull in avahi-autoipd by default any longer.
    Closes: #1089525.

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 02 Apr 2025 23:08:46 +0200

tasksel (3.79ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 11 Feb 2025 14:36:13 -0600

tasksel (3.79) unstable; urgency=medium

  * Team upload.

  * Automatic selection of desktop task depending on RAM size: trimming the
    minimum RAM value again, since '2048' does not work in real for some
    virtual machines configured with 2G of RAM (follow-up for 3.77).
  * Trim description of task-blendsel package (review by blends people).

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 09 Jan 2025 08:42:43 +0100

tasksel (3.78) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Make task-gnome-flashback-desktop depend on network-manager-applet instead
    of network-manager-gnome. Closes: #1086819.

  [ Yves-Alexis Perez ]
  * task-xfce-desktop: replace transitional package network-manager-gnome by
    network-manager-applet and nm-connection-editor. Closes: #1086831.

  [ Boyuan Yang ]
  * task-malayalam*: Migrate from fcitx4 to fcitx5. Closes: #1087657
     - fcitx → fcitx5
     - fcitx-table-malayalam-phonetic → fcitx5-table-malayalam-phonetic
     - fcitx4 gtk2/gtk3 frontend → fcitx5 gtk2/gtk3/gtk4 frontend
     - fcitx4 qt5 frontend → fcitx5 qt5/qt6 frontend
     - fcitx4 KDE config → fcitx5 KDE config
     - Besides, the dependency to fcitx4 GTK config GUI tool is removed
       since the fcitx5 upstream is only providing a Qt/KDE frontend GUI
       config tool at this moment.

  [ Rene Engelhard ]
  * task-kde-desktop: replace libreoffice-kf5 with libreoffice-kf6
    Closes: #1089487

  [ Holger Wansing ]
  * Add task-blendsel as a choice, if blendsel dialog should be shown.
  * Turn XBC-Maintainer field in d/control into X-Task-Maintainer, to avoid
    irritating copy into Maintainer field in changes files
    + to get rid of lintian error with late lintian version. Closes: #794080

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 01 Jan 2025 23:22:09 +0100

tasksel (3.77ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Dec 2024 04:14:54 -0600

tasksel (3.77) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Increase the minimum RAM for automatic selection of the desktop task
    from 64 MB to a reasonable value of 2 GB.

  [ Danial Behzadi ]
  * Update Persian debconf + program translation.
  * Add Persian fonts to task-persian-desktop.

  [ Boyuan Yang ]
  * task-telugu*: Migrate from fcitx4 to fcitx5. Closes: #1084914

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 25 Oct 2024 22:59:37 +0200

tasksel (3.76) unstable; urgency=medium

  * Team upload.

  [ Ceppo ]
  * Updated Italian debconf translation. Closes: #1081505

  [ Jeremy Bícha ]
  * Remove additional Recommends. Gnome team controls such via the Gnome
    metapackages in the future.
  * Stop installing synaptic. Closes: #1079595
  * Stop installing network-manager-gnome. Closes: #1071383

  [ Holger Wansing ]
  * Increase the minimum free disk for automatic selection of the desktop task
    to 5 gb. Needed since the desktop task has grown in the meantime.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 03 Oct 2024 18:04:59 +0200

tasksel (3.75ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: change source Section to 'admin' because
      Launchpad does not know about 'tasks'

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Feb 2024 15:05:15 +0100

tasksel (3.75) unstable; urgency=medium

  * Team upload.

  * Ordering of tasks: move standard task to the bottom of the list. This
    reverts changed behaviour in 3.74, which moved standard task to the top.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 16 Feb 2024 19:31:10 +0100

tasksel (3.74) unstable; urgency=medium

  * Team upload.

  [ Andrew Lee ]
  * Revert to fcitx for Traditional Chinese desktop.
  * Install fcitx frontend for all desktops instead of only qt5 for kde.
  * Install common input method tables for Traditional Chinese desktop.

  [ Rene Engelhard ]
  * task-mate-desktop:
     - Recommend libreoffice-gnome in task-mate-desktop (closes: #1051968)

  [ Luna Jernberg ]
  * Updated Swedish debconf translation.

  [ Arnaud Rebillout ]
  * Fix task ordering, and make 'apt install' more deterministic.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 27 Jan 2024 22:06:42 +0100

tasksel (3.73) unstable; urgency=medium

  [ Roland Clobus ]
  * task-lxqt-desktop:
     - Move sddm-theme* before sddm to avoid the installation of many
       additional packages, including a different window manager which
       would lead to a confusing prompt during the installation.
       Closes: #1023472
     - While doing so, fix the theme alternative, declaring sddm-theme
       as a fallback for sddm-theme-debian-elarun.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 25 May 2023 08:27:56 +0200

tasksel (3.72) unstable; urgency=medium

  [ Atila KOÇ ]
  * Updated Turkish debconf translation. Closes: #1028517

  [ Aurélien COUDERC ]
  * Cleanup task-kde-desktop:
    - Drop apper, hardly maintained upstream, superseded by Plasma Discover.
    - Drop dragonplayer, already pulled transitively by kde-standard.
    - Drop plasma-nm, already pulled transitively by plasma-desktop.
    - Drop k3b/k3b-i18n, not necessary on default installs anymore these days.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 26 Feb 2023 19:03:20 +0100

tasksel (3.71) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Correct changelog entry for 3.70.
  * Change Recommends on gsfonts-x11 (which is now a dummy / transitional
    package) to fonts-urw-base35. Closes: #1020351

  [ Debian Janitor ]
  * Refer to specific version of license GPL-2.
  * Update standards version to 4.6.1, no changes needed.

  [ Baurzhan Muftakhidinov ]
  * Updated translations for Kazakh.

  [ d manye ]
  * Updated Catalan debconf translation.

  [ Samuel Thibault ]
  * control: Fix gnome-orca dep into orca.

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 03 Jan 2023 21:26:23 +0100

tasksel (3.70) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + tasksel: Drop versioned constraint on perl-base in Depends.
    + tasksel: Drop versioned constraint on cdebconf and debconf in Pre-Depends.
    + tasksel: Drop versioned constraint on debconf in Conflicts.
    + tasksel-data: Drop versioned constraint on tasksel in Conflicts.

  [ Andika Triwidada ]
  * Updated debconf translation for Indonesian. Closes: #1007701

  [ Holger Wansing ]
  * Convert file encoding for some po files into UTF-8; fixes lintian tag.
  * Adapt lintian-overrides to recent 'pointed hints' changings.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 17 Jul 2022 15:51:42 +0200

tasksel (3.69+rebuild) unstable; urgency=medium

  * Team upload.

  * Re-upload to allow migration to testing. No source changes.

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 11 Feb 2022 19:25:38 +0100

tasksel (3.69) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Install CUPS for all *-desktop tasks, now that task-print-service is no
    longer existing. Closes: #993668
  * Fix broken relationship of japanese-gnome-desktop task to Gnome
    Flashback desktop. Closes: #998120

  [ Ievgenii Meshcheriakov ]
  * Don't recommend iukrainian for task-ukrainian, the package is no longer
    built.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 30 Jan 2022 14:24:49 +0100

tasksel (3.68ubuntu2) jammy; urgency=medium

  * debian/control: drop iukrainian Recommends from task-ukrainian as it's no
    longer supported and now NBS.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 06 Dec 2021 14:50:23 +0100

tasksel (3.68ubuntu1) jammy; urgency=medium

  * debian/control: change source Section to 'admin' because
    Launchpad does not know about 'tasks'

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 21 Oct 2021 10:11:17 +0000

tasksel (3.68) unstable; urgency=medium

  * Team upload.

  * Drop libu2f-udev from Recommends for task-desktop; it's an transitional
    package now, since starting with udev v244, U2F devices are autodetected
    without needing 3rd party udev rules. Closes: #987770

  [ Updated translations ]
  * Croatian (hr.po) by Valentin Vidic

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 31 May 2021 21:06:32 +0200

tasksel (3.67) unstable; urgency=medium

  * Team upload.

  * Add forgotten files in ./tasks/ to make recently added *-gnome-desktop
    packages work.

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 18 Apr 2021 12:10:40 +0200

tasksel (3.66) unstable; urgency=medium

  * Team upload.

  [ Shengjing Zhu ]
  * Switch to fcitx5 for Simplified and Traditional Chinese desktop.
    Fcitx5 works for Wayland. (Closes: #983704)

  [ Holger Wansing]
  * GNOME now depends on ibus as input method. For some languages, there are
    additional packages needed, to make ibus work. Adding them for Amharic,
    Simplified chinese, Traditional chinese, Japanese, Kannada, Malayalam and
    Telugu. This requires new task-*-gnome-desktop packages to be added for
    Amharic, Simplified chinese, Traditional chinese, and Kannada.
    Thanks to Shengjing Zhu for working out the circumstances.
    Closes: #941624, #983653.
  * ibus does not have default configurations for all languages, so force
    to create one via gnome-initial-setup for all the languages using ibus.

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 20 Mar 2021 16:22:17 +0800

tasksel (3.65) unstable; urgency=medium

  * Team upload.

  [ HIGUCHI Daisuke ]
  * tasksel-japanese-desktop: prefer uim-mozc over uim-anthy (Closes: #982175)

  [ Holger Wansing ]
  * Re-add manpages-it to task-italian task (package is again available in
    unstable/testing). Closes: #982043.
  * Add manpages translations from newly introduced manpages-l10n package
    (manpages-pt-br, manpages-nl, manpages-mk, manpages-ro, manpages-es)
    to the respective language tasks (see #982043).
  * Re-add synaptic to gnome desktop tasks. Closes: #983074
  * Remove scim-qt-immodule from task-chinese-t-kde-desktop, since it's no
    longer in the archive.

  [ YOSHINO Yoshihito ]
  * Let gnome-flashback-desktop task in Japanese pull
    task-japanese-gnome-desktop. Closes: #983688

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 13 Mar 2021 16:26:46 +0100

tasksel (3.64) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * Remove manpages-it from task-italian task (package has been removed from
    unstable). Closes: #982035.

  [ Updated debconf translations ]
  * Spanish (es.po) by Javier Fernandez-Sanguino. Closes: #981478

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 14 Feb 2021 18:03:39 +0100

tasksel (3.63) unstable; urgency=medium

  * Team upload.

  * Re-upload, to allow migration to testing. No source changings.

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 13 Jan 2021 23:12:28 +0100

tasksel (3.62) unstable; urgency=low

  * Team upload.

  [ Dmitry Shachnev ]
  * Add a task for the Gnome Flashback desktop environment. Closes: #805305

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Dec 2020 18:05:23 +0100

tasksel (3.61) unstable; urgency=low

  * task-french: Re-add dependency on manpages-fr (Closes: #973873)
  * Switch to debhelper 13.
    Replace the obsolete d/compat with a Build-Depends on debhelper-compat.

  * Update maintainer name
  * Amend changelog for v3.60, mention #972076 in the standard way.
  * d/control: Declare compliance with policy v4.5.1.
    No change required.
  * lintian
    + Override description-too-short
    + Override debconf-related warnings about tasksel
    + Do not warn on lintian ↔ lintian-data circular dep

 -- nicoo <nicoo@debian.org>  Wed, 18 Nov 2020 02:40:32 +0100

tasksel (3.60) unstable; urgency=medium

  * Team upload.

  [ Holger Wansing ]
  * task-sinhala-desktop: replace obsolete metapackage fonts-noto-hinted by
    fonts-noto-core and fonts-noto-ui-core. Closes: #949766
  * Drop no-longer existing kde-l10n-* packages from various tasks.
    Closes: #949694

  [ Changwoo Ryu ]
  * task-korean-desktop: Remove fonts-nanum-coding, which is now a
    transitional package.

  [ Bryan Quigley ]
  * Switch LibreOffice from other desktop tasks to match the LibreOffice apps
    Gnome brings in.
  * Moved from transitional -kde integration.
  * Switched lxde from removed -gtk2 integration to -gtk3.
  * Added libreoffice-qt5 to LXQt.

  [ Sven Joachim ]
  * Avoid tempfile deprecation warning. Since debianutils 4.10, tempfile is
    deprecated in favor of mktemp. (Closes: #972076)

  [ Updated debconf translations ]
  * Bulgarian (bg.po) by Damyan Ivanov.
  * Portuguese (pt.po) by Miguel Figueiredo.

  [ Raphaël Hertzog ]
  * Fix the name of the Acquire::Retries option passed to apt-get (the option
    is not part of the "APT" group).

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 06 Nov 2020 11:48:08 +0100

tasksel (3.59) unstable; urgency=medium

  [ Didier Raboud ]
  * Remove task-print-service. CUPS is now the de-facto only print server and
    is already pulled by the concerned desktop environments.  Closes: #950553

  [ Timo Jyrinki ]
  * Add libenchant-2-voikko for Finnish.
  * Add giella-sme and libenchant-2-voikko for Northern Sami, remove
    hunspell-se (lower quality spell-checking).

 -- Cyril Brulebois <kibi@debian.org>  Sun, 08 Mar 2020 21:35:08 +0100

tasksel (3.58) unstable; urgency=medium

  * Team upload.

  [ Raphaël Hertzog ]
  * Makefile improvement: don't hardcode the "tasks" directory, use the
    $(DESCDIR) variable.
  * Fix default desktop selection by using the tasksel/desktop debconf setting
    only if it's non empty.

  [ Boyuan Yang ]
  * Drop recommendation to qt4-related packages. Closes: #944115

  [ Holger Wansing ]
  * Use print-manager instead of system-config-printer for KDE installation task.
    Closes: #945846
  * Remove xfce4-mixer from xfce-desktop task (has been removed from the
    archive; successor is xfce4-pulseaudio-plugin). Closes: #946755

 -- Holger Wansing <hwansing@mailbox.org>  Wed, 01 Jan 2020 20:13:37 +0100

tasksel (3.57) unstable; urgency=medium

  * Team upload.
  * tasksel should be priority=optional. Also, priority is to be declared only
    once in control file. (Closes: #855151)

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 19 Nov 2019 19:46:56 +0100

tasksel (3.56) unstable; urgency=high (RC bugfix)

  [ nicoo ]
  * task-spanish: Drop dependency on manpages-es (Closes: #942270)
  * task-xfce-desktop: Use libreoffice-gtk3 instead of -gtk2 (Closes: #939533)
  * Add task-print-server transitional package (Closes: #932818)
  * Declare compliance with policy v4.4.1.
    No change required.

  [ Aron Xu ]
  * Move fonts-arphic-* to Suggests for task-chinese-{s,t}-desktop.
    Closes: #942103

 -- nicoo <nicoo@debian.org>  Wed, 16 Oct 2019 13:41:38 +0200

tasksel (3.55) unstable; urgency=medium

  [ Changwoo Ryu ]
  * Add gnome-initial-setup to task-korean-gnome-desktop.
    GNOME doesn't set the working Korean IM by default without it.
  * Add fonts-noto and fonts-noto-cjk to task-korean-desktop.

  [ Victor Ibragimov ]
  * Updated Tajik translation (tg.po)

 -- nicoo <nicoo@debian.org>  Wed, 28 Aug 2019 14:22:40 +0200

tasksel (3.54) unstable; urgency=low

  [ Guillem Jover ]
  * Improve print service task and description. (Closes: #696658)

  [ Didier Raboud ]
  * task-print-service: Drop dependencies on cups-* implied by cups itself
    Closes: #824645

  [ nicoo ]
  * task-xfce-desktop: Downgrade dependency on light-locker (Closes: #827562)
    light-locker creates issues on some platforms (not available on kFreeBSD or
    Hurd) and creates issues for users who prefer xscreensaver.

  * Comply with policy v4.4.0
    + Specify Rules-Requires-Root: no

  [ Adam Borowski ]
  * task-desktop: Recommend fonts-symbola. (Closes: #902321)
    This font provides a wide coverage of Unicode (incl. symbols, emojis, ...)

  [ Daniel Lewart ]
  * Remove dependencies on transitional packages. (Closes: #929746)

 -- nicoo <nicoo@debian.org>  Sat, 13 Jul 2019 12:20:31 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog tasksel`.
